View Issue Details

IDProjectCategoryLast Update
0020153AI War 2[All Projects] Gameplay IdeaSep 28, 2018 2:51 am
Reporterx4000BughunterAssigned Tox4000Bughunter 
Severityminor 
Status assignedResolutionopen 
Product Version0.765 Game Entity Split 
Fixed in Version 
Summary0020153: Ship mechanics for pre-press-build. (parent)
DescriptionJust ones for in the near term.
TagsNo tags attached.
Internal Weight

Relationships

parent of 0019991 assignedx4000Bughunter Mechanic to create a Cloaker Starship 
parent of 0019942 assignedx4000Bughunter To add: ships using OverdrivesShields 
parent of 0020169 assignedx4000Bughunter translocation 
parent of 0020170 assignedx4000Bughunter Ability for ships to share caps with other types. 
parent of 0020172 assignedx4000Bughunter Procedural ships. 
parent of 0020173 assignedx4000Bughunter zone boosters and zone debuffs. 
parent of 0020174 assignedx4000Bughunter Hydra 
parent of 0020175 assignedx4000Bughunter increased damage to elites (high strength ships) 
parent of 0020176 assignedx4000Bughunter Need to redo the following ships with new abilities. 
parent of 0020178 resolvedRocketAssistedPuffin Parasite unit. 
parent of 0019917 assignedx4000Bughunter bunker buster getting bonus going through wormholes 
parent of 0019923 assignedx4000Bughunter Bonuses: things that have a chance to explode when shot 
parent of 0020193 resolvedx4000Bughunter Warbird starship. 
parent of 0020194 assignedx4000Bughunter Charger: Speed Boost if been on planet for less than X seconds. 
parent of 0020195 assignedx4000Bughunter Momentum: reload speed improves with each shot fired, for a time. 
parent of 0020196 assignedx4000Bughunter Trebuchet: reload speed and/or attack improves based on amount of time stationary. 
parent of 0020199 assignedx4000Bughunter Tenacious: When killed, gain invulnerability for X duration 
parent of 0020200 assignedx4000Bughunter Martyr: When killed, boosts power of nearby ships. 
parent of 0020201 assignedx4000Bughunter Tether: Moves as fast as the fastest nearby friendly ship. 
parent of 0020203 assignedx4000Bughunter Hardened: All damage taken above X is reduced to X. 
parent of 0020204 assignedx4000Bughunter Infestor: spawn_when_kills 
parent of 0020208 assignedx4000Bughunter Energy Overdrive: Gains a bonus to itself when your Energy count is above X value. 
parent of 0020209 assignedx4000Bughunter Avenger: Gains a bonus to itself when friendlies die on its planet. 
parent of 0020210 assignedx4000Bughunter Revenge: Powerful weapon system that is only able to fire at enemies with recent kills. 
parent of 0020211 assignedx4000Bughunter Saboteur: Bonus against AI-ships-only based on unspent hacking points you have. 
parent of 0020212 assignedx4000Bughunter Motivator: Gains movement speed every time it fires. 
parent of 0020215 assignedx4000Bughunter Networked Targeters: Gains range the more of itself there are on the planet. 
parent of 0020220 assignedx4000Bughunter Corrosive: Does damage over time to hull only (shields take base damage) 
parent of 0020249 assignedx4000Bughunter Precision: ship gets stacking bonus damage if it hits a target consecutively 
parent of 0020275 assignedx4000Bughunter "can tractor while cloaked" ability (for etherjets) 
parent of 0020269 new More special abilities (variants for ships) 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
Sep 5, 2018 8:39 pm x4000Bughunter New Issue
Sep 5, 2018 8:39 pm x4000Bughunter Status new => assigned
Sep 5, 2018 8:39 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 5, 2018 8:39 pm x4000Bughunter Relationship added parent of 0019991
Sep 5, 2018 9:35 pm x4000Bughunter Relationship added parent of 0019942
Sep 6, 2018 10:34 am x4000Bughunter Relationship added parent of 0020169
Sep 6, 2018 10:35 am x4000Bughunter Relationship added parent of 0020170
Sep 6, 2018 10:37 am x4000Bughunter Relationship added parent of 0020172
Sep 6, 2018 10:38 am x4000Bughunter Relationship added parent of 0020173
Sep 6, 2018 10:39 am x4000Bughunter Relationship added parent of 0020174
Sep 6, 2018 10:41 am x4000Bughunter Relationship added parent of 0020175
Sep 6, 2018 10:55 am x4000Bughunter Relationship added parent of 0020176
Sep 6, 2018 11:11 am x4000Bughunter Relationship added parent of 0020178
Sep 6, 2018 11:40 am x4000Bughunter Relationship added related to 0019923
Sep 6, 2018 11:41 am x4000Bughunter Relationship added parent of 0019917
Sep 6, 2018 11:41 am x4000Bughunter Relationship deleted related to 0019923
Sep 6, 2018 11:41 am x4000Bughunter Relationship added parent of 0019923
Sep 6, 2018 1:14 pm x4000Bughunter Relationship added parent of 0020193
Sep 6, 2018 1:15 pm x4000Bughunter Relationship added parent of 0020194
Sep 6, 2018 1:19 pm x4000Bughunter Relationship added parent of 0020195
Sep 6, 2018 1:21 pm x4000Bughunter Relationship added parent of 0020196
Sep 6, 2018 1:26 pm x4000Bughunter Relationship added parent of 0020199
Sep 6, 2018 1:29 pm x4000Bughunter Relationship added parent of 0020200
Sep 6, 2018 1:30 pm x4000Bughunter Relationship added parent of 0020201
Sep 6, 2018 1:32 pm x4000Bughunter Relationship added parent of 0020203
Sep 6, 2018 1:34 pm x4000Bughunter Relationship added parent of 0020204
Sep 6, 2018 1:40 pm x4000Bughunter Relationship added parent of 0020208
Sep 6, 2018 1:43 pm x4000Bughunter Relationship added parent of 0020209
Sep 6, 2018 1:43 pm x4000Bughunter Relationship added parent of 0020210
Sep 6, 2018 1:45 pm x4000Bughunter Relationship added parent of 0020211
Sep 6, 2018 1:46 pm x4000Bughunter Relationship added parent of 0020212
Sep 6, 2018 1:48 pm x4000Bughunter Relationship added parent of 0020215
Sep 6, 2018 3:06 pm x4000Bughunter Relationship added parent of 0020220
Sep 7, 2018 12:23 pm x4000Bughunter Relationship added parent of 0020249
Sep 12, 2018 9:04 pm x4000Bughunter Relationship added parent of 0020275
Sep 28, 2018 2:51 am zeusalmighty Relationship added parent of 0020269